package com.ruoyi.system.domain.projectV2;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招商引资_省库项目对象 zsyz_skxm
 * 
 * @author boman
 * @date 2023-02-24
 */
public class ZsyzSkxm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String xmmc;

    /** 批准文号（请统一填写为项目编码） */
    @Excel(name = "批准文号（请统一填写为项目编码）")
    private String pzwh;

    /** 投资单位 */
    @Excel(name = "投资单位")
    private String tzdw;

    /** 项目所在地 */
    @Excel(name = "项目所在地")
    private String xmszd;

    /** 所属产业 */
    @Excel(name = "所属产业")
    private String sscy;

    /** 总投资额(万元) */
    @Excel(name = "总投资额(万元)")
    private String ztze;

    /** 省外资金(万元) */
    @Excel(name = "省外资金(万元)")
    private String swzj;

    /** 实际到位资金(万元) */
    @Excel(name = "实际到位资金(万元)")
    private String sjdz;

    /** 当月到位(万元) */
    @Excel(name = "当月到位(万元)")
    private String dydw;

    /** 入库日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入库日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date rkTime;

    /** 签约通报时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "签约通报时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date qytbTime;

    /** 是否徽商项目 N:否 Y:是 */
    @Excel(name = "是否徽商项目",readConverterExp = "N=否 Y=是")
    private String isHs;

    /** 最新建设进度 （简要填写，新建项目是否出正负零，在建项目突出关键建设节点） */
    @Excel(name = "最新建设进度 ")
    private String jsjd;

    /** 是否审核 1:未审核 2:已审核 3.已拒绝 */
    @Excel(name = "是否审核",readConverterExp = "1=未审核,2=已审核,3=已拒绝")
    private String isSh;

    /** 审核人 */
    @Excel(name = "审核人")
    private String shName;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date shTime;

    /** 审核建议 */
    @Excel(name = "审核建议")
    private String shJy;
    //部门id
    private Long deptId;

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXmmc(String xmmc) 
    {
        this.xmmc = xmmc;
    }

    public String getXmmc() 
    {
        return xmmc;
    }
    public void setPzwh(String pzwh) 
    {
        this.pzwh = pzwh;
    }

    public String getPzwh() 
    {
        return pzwh;
    }
    public void setTzdw(String tzdw) 
    {
        this.tzdw = tzdw;
    }

    public String getTzdw() 
    {
        return tzdw;
    }
    public void setXmszd(String xmszd) 
    {
        this.xmszd = xmszd;
    }

    public String getXmszd() 
    {
        return xmszd;
    }
    public void setSscy(String sscy) 
    {
        this.sscy = sscy;
    }

    public String getSscy() 
    {
        return sscy;
    }
    public void setZtze(String ztze) 
    {
        this.ztze = ztze;
    }

    public String getZtze() 
    {
        return ztze;
    }
    public void setSwzj(String swzj) 
    {
        this.swzj = swzj;
    }

    public String getSwzj() 
    {
        return swzj;
    }
    public void setSjdz(String sjdz) 
    {
        this.sjdz = sjdz;
    }

    public String getSjdz() 
    {
        return sjdz;
    }
    public void setDydw(String dydw) 
    {
        this.dydw = dydw;
    }

    public String getDydw() 
    {
        return dydw;
    }
    public void setRkTime(Date rkTime) 
    {
        this.rkTime = rkTime;
    }

    public Date getRkTime() 
    {
        return rkTime;
    }
    public void setQytbTime(Date qytbTime) 
    {
        this.qytbTime = qytbTime;
    }

    public Date getQytbTime() 
    {
        return qytbTime;
    }
    public void setIsHs(String isHs) 
    {
        this.isHs = isHs;
    }

    public String getIsHs() 
    {
        return isHs;
    }
    public void setJsjd(String jsjd) 
    {
        this.jsjd = jsjd;
    }

    public String getJsjd() 
    {
        return jsjd;
    }
    public void setIsSh(String isSh) 
    {
        this.isSh = isSh;
    }

    public String getIsSh() 
    {
        return isSh;
    }
    public void setShName(String shName) 
    {
        this.shName = shName;
    }

    public String getShName() 
    {
        return shName;
    }
    public void setShTime(Date shTime) 
    {
        this.shTime = shTime;
    }

    public Date getShTime() 
    {
        return shTime;
    }
    public void setShJy(String shJy) 
    {
        this.shJy = shJy;
    }

    public String getShJy() 
    {
        return shJy;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("xmmc", getXmmc())
            .append("pzwh", getPzwh())
            .append("tzdw", getTzdw())
            .append("xmszd", getXmszd())
            .append("sscy", getSscy())
            .append("ztze", getZtze())
            .append("swzj", getSwzj())
            .append("sjdz", getSjdz())
            .append("dydw", getDydw())
            .append("rkTime", getRkTime())
            .append("qytbTime", getQytbTime())
            .append("isHs", getIsHs())
            .append("jsjd", getJsjd())
            .append("isSh", getIsSh())
            .append("shName", getShName())
            .append("shTime", getShTime())
            .append("shJy", getShJy())
            .append("deptId", getDeptId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
